using Exferia_Aplicacion.General;
using Exferia_EntityFramework;
using System;

namespace Exferia_CRM._0_Modelos
{
    public class INTERNO_CRM_Acciones_Listado_Modelo : CRM_Acciones
    {
        public INTERNO_CRM_Acciones_Listado_Modelo()
        { }

        public long codigo_Long
        {
            get
            {
                long lng_Codigo = 0;
                if (Funciones.IsNumeric(codigo))
                {
                    lng_Codigo = long.Parse(codigo);
                }
                return lng_Codigo;
            }

        }

        //Empresa
        public string Empresa_Codigo { get; set; }
        public string Empresa_Descripcion { get; set; }
        public DateTime? Empresa_FechaBorrado { get; set; }
        public string Empresa
        {
            get
            {
                string str_Aux = "";

                //Codigo
                if (Empresa_Codigo != null && Empresa_Codigo.Trim().Length > 0)
                {
                    str_Aux = "(" + Empresa_Codigo + ") ";
                }

                //Descripcion
                if (Empresa_Descripcion != null && Empresa_Descripcion.Trim().Length > 0)
                {
                    str_Aux += Empresa_Descripcion;
                }

                return str_Aux;
            }
        }

    }
}
